#### Previous topic

scipy.linalg.schur

#### Next topic

scipy.linalg.hessenberg

# scipy.linalg.rsf2csf

`scipy.linalg.``rsf2csf`(T, Z, check_finite=True)

  Convert real Schur form to complex Schur form.

  Convert a quasi-diagonal real-valued Schur form to the upper triangular complex-valued Schur form.

  Parameters:

  T : (M, M) array_like

  > Real Schur form of the original matrix

  Z : (M, M) array_like

  > Schur transformation matrix

  check_finite : bool, optional

  > Whether to check that the input matrices contain only finite numbers. Disabling may give a performance gain, but may result in problems (crashes, non-termination) if the inputs do contain infinities or NaNs.

  Returns:

  T : (M, M) ndarray

  > Complex Schur form of the original matrix

  Z : (M, M) ndarray

  > Schur transformation matrix corresponding to the complex form

  See also

  `schur`
    Schur decompose a matrix